package com.zhuangzi.ssm0925.dao;


import com.zhuangzi.ssm0925.entity.Sorts;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.HashMap;

@Repository("sortsDao")
@Mapper
public interface SortsDao {
    public int addSorts(Sorts sorts);  //返回添加信息的主键
    public Sorts selectBySortNameAndParendId(Sorts sorts);
    //查询 当前父类下 是否已经有相同的类别
    public Sorts selectSortsById(Integer id);
    public int updateSorts(Sorts sorts);
    public int updateSortsBySortNameOrdersId(Sorts sorts);
    public ArrayList<Sorts> selectByParentId(Integer id);
    //得到当前类别id下的所有子类
    public Sorts selectSortsByParentIdSortNameId(Sorts sorts);
    //查询非当前id下，同一个父类下是否有相同的类别
    public int updateAllChildSorts(HashMap<String, Object> hm);
    //更新所有的修改类别的子类
    public int updateAllChildSortsLevels(HashMap<String, Object> hm);
    //删除当类类别及所有的子类
    public int deleteAllSortsById(Integer id);
}
