package com.zhuangzi.ssm0925.dao;
import com.zhuangzi.ssm0925.entity.Student;
import org.apache.ibatis.annotations.Delete;
import org.springframework.stereotype.Repository;

import java.util.List;

//一个dao接口对应一个mapper文件
//mapper文件中的namespace必须与本dao的完全路径一致
//dao中的方法名与mapper中的id一致
@Repository
public interface StudentDao {
    public List<Student> getAllStudent();
    public int addStudent(Student student);

    @Delete("delete from student  where id =#{id}")
    void deleteById(Integer id);

    public List<Student> getListStudent(Student student);
}
