package com.zhuangzi.ssm0925.service;

import com.zhuangzi.ssm0925.dao.StudentDao;
import com.zhuangzi.ssm0925.entity.Student;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("studentService")
public class StudentServiceImpl implements StudentService{

    @Autowired
    private StudentDao studentDao;

    @Override
    public List<Student> getAllStudent() {
        return studentDao.getAllStudent();
    }

    @Override
    public int addStudent(Student student) {
        student.setTime(System.currentTimeMillis());
        return studentDao.addStudent(student);
    }

    @Override
    public void deleteStudent(Integer id) {
        studentDao.deleteById(id);
    }

    @Override
    public List<Student> getListStudent(Student student) {
        return studentDao.getListStudent(student);
    }
}
